org.apache.ivy.util

## Class CredentialsUtil

- java.lang.Object
- - org.apache.ivy.util.CredentialsUtil

    public final class CredentialsUtil
    extends java.lang.Object

### Method Summary

Methods
`static Credentials` `loadPassfile(Credentials c, java.io.File passfile)`
`static Credentials` `promptCredentials(Credentials c, java.io.File passfile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### promptCredentials

    public static Credentials promptCredentials(Credentials c,
                                java.io.File passfile)

#### loadPassfile

    public static Credentials loadPassfile(Credentials c,
                           java.io.File passfile)